You won't need IIS 6 unless you want to get into the new server
administration features. .NET 1.1 will run fine on Windows 2000.

--
Ron